#
# spec file for package libqt5-qtlocation
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0

%define libname libQt5Positioning5

Name:           libqt5-qtlocation
Version:        5.6.1
Release:        1.27
Summary:        Qt 5 Location Addon
License:        SUSE-LGPL-2.1-with-digia-exception-1.1 or GPL-3.0
Group:          Development/Libraries/X11
Url:            http://qt.digia.com
%define base_name libqt5
%define real_version 5.6.1
%define so_version 5.6.1
%define tar_version qtlocation-opensource-src-%{real_version}
Source:         %{tar_version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  fdupes
BuildRequires:  libqt5-qtbase-private-headers-devel >= %{version}
BuildRequires:  libqt5-qtdeclarative-private-headers-devel >= %{version}
BuildRequires:  xz
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(geoclue)
BuildRequires:  pkgconfig(gypsy)
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt is a set of libraries for developing applications.

%prep
%setup -q -n qtlocation-opensource-src-%{real_version}

%package -n %libname
Summary:        Qt 5 Positioning Addon
Group:          Development/Libraries/X11

%description -n %libname
Qt is a set of libraries for developing applications.

%package -n libQt5Location5
Summary:        Qt 5 Location Addon
Group:          Development/Libraries/X11

%description -n libQt5Location5
Qt is a set of libraries for developing applications.

%package devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
Requires:       %libname = %{version}
Requires:       libQt5Location5 = %{version}
Suggests:       pkgconfig(gconf-2.0)
Suggests:       pkgconfig(geoclue)
Suggests:       pkgconfig(gypsy)

%description devel
You need this package, if you want to compile programs with qtsensors.

%package private-headers-devel
Summary:        Non-ABI stable experimental API
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       %{name}-devel = %{version}
Requires:       libqt5-qtbase-private-headers-devel >= %{version}
Requires:       libqt5-qtdeclarative-private-headers-devel

%description private-headers-devel
This package provides private headers of libqt5-qtsensors that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package examples
Summary:        Qt5 location examples
Group:          Development/Libraries/X11
Recommends:     %{name}-devel

%description examples
Examples for libqt5-qtlocation module.

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n libQt5Location5 -p /sbin/ldconfig

%postun -n libQt5Location5 -p /sbin/ldconfig

%build
%if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%qmake5
%make_jobs

%install
%qmake5_install
find %{buildroot}/%{_libdir} -type f -name '*la' -print -exec perl -pi -e 's, -L%{_builddir}/\S+,,g' {} \;
find %{buildroot}/%{_libdir}/pkgconfig -type f -name '*pc' -print -exec perl -pi -e 's, -L%{_builddir}/\S+,,g' {} \;
# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

%fdupes -s %{buildroot}%{_libqt5_examplesdir}/

%files -n %libname
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{_libqt5_libdir}/libQt5Positioning.so.*
%dir %{_libqt5_plugindir}/position
%{_libqt5_plugindir}/position/
%dir %{_libqt5_archdatadir}/qml/QtPositioning
%{_libqt5_archdatadir}/qml/QtPositioning/

%files -n libQt5Location5
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{_libqt5_libdir}/libQt5Location.so.*
%{_libqt5_plugindir}/geoservices/
%{_libqt5_archdatadir}/qml/QtLocation/

%files private-headers-devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{_libqt5_includedir}/QtPositioning/%{so_version}
%{_libqt5_includedir}/QtLocation/%{so_version}

%files devel
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%exclude %{_libqt5_includedir}/QtPositioning/%{so_version}
%exclude %{_libqt5_includedir}/QtLocation/%{so_version}
%{_libqt5_includedir}/QtPositioning
%{_libqt5_includedir}/QtLocation
%{_libqt5_libdir}/cmake/Qt5Positioning
%{_libqt5_libdir}/cmake/Qt5Location
%{_libqt5_libdir}/libQt5Positioning.prl
%{_libqt5_libdir}/libQt5Location.prl
%{_libqt5_libdir}/libQt5Positioning.so
%{_libqt5_libdir}/libQt5Location.so
%{_libqt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_libqt5_libdir}/pkgconfig/Qt5Location.pc
%{_libqt5_libdir}/qt5/mkspecs/modules/qt_lib_*.pri

%files examples
%defattr(-,root,root,755)
%doc *.txt LICENSE.*
%{_libqt5_examplesdir}/

%changelog
* Tue Jun 14 2016 mlin@suse.com
- Update to 5.6.1 (boo#984605)
  * For more details please see:
    http://blog.qt.io/blog/2016/06/08/qt-5-6-1-released/
* Fri Apr  8 2016 alarrosa@suse.com
- Updated Qt to 5.6.0, a LTS release (fate#320330)
* Fri Mar 18 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    http://blog.qt.io/blog/2016/03/16/qt-5-6-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.6
* Wed Feb  3 2016 alarrosa@suse.com
- [ECO] Update Qt5 to version 5.5.1 (fate#319961, bnc#964864)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1
  * For more details please see:
    http://blog.qt.io/blog/2015/10/15/qt-5-5-1-released/
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.5
- Restore support for gypsy on Leap
* Wed Jun  3 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2
  * Bugfix release, for more details please see:
    http://blog.qt.io/blog/2015/06/02/qt-5-4-2-released/
* Wed May 20 2015 mlin@suse.com
- A bunch update to Qt5 5.3.2 for SLE12 SP1, bsc#931622
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (r6e39a79):
  * Tip of the bugfix 5.3.2 branch
  * OSX: Fix QGeoPositionInfo attribute values with
    corelocation plug-in
  * Don't hang weatherinfo if position source has an error.
  * Enforce the use of test.source position plug-in
    in auto tests
  * Report error when failing to connect to Geoclue.
  * Add changelog for QtPositioning 5.3.2 release.
  * Fix fitViewportToMapItemsRefine
  * Avoid potential double deletion when handling
    OSM route replies
  * Fix QGeoRouteReplyOsm::networkReplyFinished
  * Fix issues with MapItemView.
  * Fixed symbol clash between sensor and positioning
    plug-in on iOS
  * Fix the names of the plugin factory classes for
    static plugin loading
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
* Mon Jun  2 2014 hrvoje.senjan@gmail.com
- Added baselibs.conf
- Make private headers noarch
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Fri Mar 21 2014 hrvoje.senjan@gmail.com
- Build, and add examples subpackage
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
- Remove libtool archives from packages
* Wed Dec 18 2013 hrvoje.senjan@gmail.com
- Initialize libqt5-qtlocation package
